<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('api_clients', function (Blueprint $table) {
            $table->decimal('obf_charge', 8, 2)->default(5.00)->after('bank_charge');
            $table->decimal('user_creation_charge', 8, 2)->default(10.00)->after('obf_charge');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('api_clients', function (Blueprint $table) {
            $table->dropColumn(['obf_charge', 'user_creation_charge']);
        });
    }
};
